locked
Can't import patches into my WSUS server RRS feed

  • Question

  • I'm trying to patch all of the servers in one of my domains. The WSUS server hasn't automatically downloaded KB4057142, KB4057401 or KB4057402. I tried to manually import the patches and I get error: "This update cannot be imported into Windows Server Update Services, because it is not compatible with your version of WSUS." The version of WSUS I'm using is 10.0.14393.0.

    I have another domain running WSUS version 6.3.9600.18694 and I was able to import these patches into it.

    How do I get those patches on the other WSUS server?

    Tuesday, January 23, 2018 4:19 PM

All replies

  • You Can...

    1. Try by this option. Right click on server node from WSUS console and click 'import Updates....' option. It's navigate to Microsoft Update category website. Then you can search need KB number and then download.

    If it's not succeeded, follow below option. use search option and then you can approve update as you wish.

    Wednesday, January 24, 2018 3:05 AM
  • Hi,

    I tested it in my lab (with update "KB4056890" installed and WSUS server version :" 10.0.14393.1914" ) .

    I can import KB4057142 successfully :

    Please try to install "KB4056890" and try again .

    Best Regards,

    Elton


    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.

    Wednesday, January 24, 2018 5:32 AM
  • KB4056890 is installed on my WSUS server.  My version says 10.0.14393.0.  It still tells me the other patches can't be imported because they're not compatible with my version of WSUS.

    Wednesday, January 24, 2018 1:34 PM
  • That's what I did.  The WSUS server hasn't automatically downloaded those updates so I tried to import them.  I get error that says they're not compatible.

    Wednesday, January 24, 2018 1:37 PM
  • Having the same issue, I am running most current WSUS on WS2016. No Joy.

    All Symantec Endpoint Protect Clients are down until either Microsoft releases the patch into the WSUS feed and or fixes the import on WSUS. Currently having all teches doing manual runs of the KB4057401.

    BTW: I am running WSUS 10.0.14393.2007 and import the KB in question.

    -Charles-





    • Edited by CDuncan_TO Wednesday, January 24, 2018 2:35 PM
    Wednesday, January 24, 2018 2:20 PM
  • Having the same issue, I am running most current WSUS on WS2016. No Joy.

    All Symantec Endpoint Protect Clients are down until either Microsoft releases the patch into the WSUS feed and or fixes the import on WSUS. Currently having all teches doing manual runs of the KB4057401.

    BTW: I am running WSUS 10.0.14393.2007 and import the KB in question.

    -Charles-





    I have the same issue to, also running most current WSUS (10.0.14393.2007) on Server 2016.

    Anyone know how to solve this problem?

    -Jason-

    Tuesday, February 6, 2018 8:06 AM
  • A method to unblock your deployment is to change in the URL the protocol Version from 1.20 to 1.8 and then proceed to import the updates.

    On the server where you have WSUS installed open the WSUS administrative console and then click on the "Import Updates..." link which is located on the right side. This shall open up your browser where you would see a link similar to the following one:

    http://catalog.update.microsoft.com/v7/site/Home.aspx?SKU=WSUS&Version=10.0.14393.1914&ServerName={YOURSERVERNAME.YOURDOMAIN}&PortNumber=8531&Ssl=True&Protocol=1.20


    You should see your own WSUS server name and corresponding domain name in the above URL example in  place of the {YOURSERVERNAME.YOURDOMAIN} part which I omitted here for the obvious reasons.
    Once you get to the MS catalog page from that link, make sure to replace the end section of the URL from 1.20 to 1.80 as suggested by Andrei. If you don't change the protocol at the very beginning, then you won't see the "protocol=1.20" part later on, so don't search for KB numbers immediately once the page is loaded but make the modifications as explained. When the MS catalog page is reloaded with the new settings, then you can go for the KB search and import steps just as you would normally do so.

    Also please note that you have to do this via Internet Explorer due to the ActiveX dependencies on the Updates Import part. This won't work under Firefox or other browsers so make sure you have the correct URL loaded in IE.
    Monday, February 12, 2018 1:59 PM
  • This worked perfectly for me!
    Wednesday, April 25, 2018 1:32 PM
  • A method to unblock your deployment is to change in the URL the protocol Version from 1.20 to 1.8 and then proceed to import the updates.

    On the server where you have WSUS installed open the WSUS administrative console and then click on the "Import Updates..." link which is located on the right side. This shall open up your browser where you would see a link similar to the following one:

    http://catalog.update.microsoft.com/v7/site/Home.aspx?SKU=WSUS&Version=10.0.14393.1914&ServerName={YOURSERVERNAME.YOURDOMAIN}&PortNumber=8531&Ssl=True&Protocol=1.20


    You should see your own WSUS server name and corresponding domain name in the above URL example in  place of the {YOURSERVERNAME.YOURDOMAIN} part which I omitted here for the obvious reasons.
    Once you get to the MS catalog page from that link, make sure to replace the end section of the URL from 1.20 to 1.80 as suggested by Andrei. If you don't change the protocol at the very beginning, then you won't see the "protocol=1.20" part later on, so don't search for KB numbers immediately once the page is loaded but make the modifications as explained. When the MS catalog page is reloaded with the new settings, then you can go for the KB search and import steps just as you would normally do so.

    Also please note that you have to do this via Internet Explorer due to the ActiveX dependencies on the Updates Import part. This won't work under Firefox or other browsers so make sure you have the correct URL loaded in IE.
    I tried this.  It no longer gives me the warning about not being compatiable with my version of WSUS but all the updates fail to download.  What else do I do?
    Tuesday, May 15, 2018 7:52 PM
  • i am running into this as well. Changed URL to 1.8 but still fails.

    were you able to find any solution? 

    Monday, May 21, 2018 4:30 PM
  • This worked perfectly thanks. 
    Friday, May 25, 2018 6:33 AM
  • Did you change it to 1.80 or 1.8?  You have to change it to 1.80
    Thursday, May 31, 2018 6:17 PM
  • It worked... Thank you...! Thousands thanks to this post.....!
    Wednesday, August 22, 2018 1:50 PM